import { registerExtension } from 'vscode/extensions';

const manifest = {"name":"pascal","displayName":"Pascal","description":"Pascal language support for Visual Studio Code","version":"9.8.0","publisher":"alefragnani","galleryBanner":{"color":"#4682B4","theme":"dark"},"engines":{"vscode":"^1.74.0"},"categories":["Programming Languages","Snippets","Other"],"keywords":["pascal","delphi","freepascal","lazarus","multi-root ready"],"capabilities":{"virtualWorkspaces":{"supported":"limited","description":"In virtual workspaces, code navigation features are not supported."},"untrustedWorkspaces":{"supported":"limited","description":"Trust is required to be able to use code navigation features in this workspace.","restrictedConfigurations":["pascal.tags.autoGenerate","pascal.codeNavigation"]}},"icon":"images/icon.png","license":"SEE LICENSE IN LICENSE.md","homepage":"https://github.com/alefragnani/vscode-language-pascal/blob/master/README.md","repository":{"type":"git","url":"https://github.com/alefragnani/vscode-language-pascal.git"},"bugs":{"url":"https://github.com/alefragnani/vscode-language-pascal/issues"},"sponsor":{"url":"https://github.com/sponsors/alefragnani"},"contributes":{"languages":[{"id":"pascal","aliases":["Pascal","pascal"],"extensions":[".pas",".p",".dfm",".fmx",".dpr",".dpk",".lfm",".dpr",".lpr"],"configuration":"./pascal.configuration.json"}],"grammars":[{"language":"pascal","scopeName":"source.pascal","path":"./syntaxes/pascal.tmLanguage"}],"snippets":[{"language":"pascal","path":"./snippets/pascal.json"}],"configuration":{"type":"object","title":"%pascal.configuration.title%","properties":{"pascal.tags.autoGenerate":{"type":"boolean","default":true,"description":"%pascal.configuration.tags.autoGenerate.description%"},"pascal.codeNavigation":{"type":"string","default":"workspace","scope":"resource","description":"%pascal.configuration.codeNavigation.description%","enum":["workspace","file"]}}}},"eslintConfig":{"extends":["vscode-ext"]}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md","changelogPath":"CHANGELOG.md"});


registerFileUrl('README.md', '../assets/alefragnani.pascal-9.8.0.vsix/README.md', 'text/markdown');

registerFileUrl('CHANGELOG.md', '../assets/alefragnani.pascal-9.8.0.vsix/CHANGELOG.md', 'text/markdown');

registerFileUrl('syntaxes/pascal.tmLanguage', '../assets/alefragnani.pascal-9.8.0.vsix/pascal.tmLanguage');

registerFileUrl('pascal.configuration.json', '../assets/alefragnani.pascal-9.8.0.vsix/pascal.configuration.json', 'application/json');

registerFileUrl('snippets/pascal.json', '../assets/alefragnani.pascal-9.8.0.vsix/pascal.json', 'application/json');

registerFileUrl('package.json', '../assets/alefragnani.pascal-9.8.0.vsix/package.json', 'application/json');

registerFileUrl('package.nls.json', '../assets/alefragnani.pascal-9.8.0.vsix/package.nls.json', 'application/json');

registerFileUrl('package.nls.pt-br.json', '../assets/alefragnani.pascal-9.8.0.vsix/package.nls.pt-br.json', 'application/json');

registerFileUrl('images/icon.png', '../assets/alefragnani.pascal-9.8.0.vsix/icon.png', 'image/png');

export { whenReady };
