import { registerExtension } from 'vscode/extensions';

const manifest = {"name":"tcl","displayName":"Tcl","description":"Tcl language support","version":"0.4.3","keywords":["tcl","tk"],"publisher":"bitwisecook","bugs":{"url":"https://github.com/bitwisecook/tcl.git/LICENSE"},"license":"MIT","icon":"images/Tcl-powered.png","engines":{"vscode":"^1.74.0"},"repository":{"type":"git","url":"https://github.com/bitwisecook/tcl.git"},"categories":["Formatters","Other","Programming Languages","Snippets"],"contributes":{"languages":[{"id":"tcl","aliases":["Tcl","tcl"],"extensions":[".tcl",".tm",".test"],"configuration":"./language-configuration.json"}],"grammars":[{"language":"tcl","scopeName":"source.tcl","path":"./out/syntaxes/tcl.json"}],"snippets":[{"language":"tcl","path":"./snippets/tcl.json"}]}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md","changelogPath":"CHANGELOG.md"});


registerFileUrl('README.md', '../assets/bitwisecook.tcl-0.4.3.vsix/README.md', 'text/markdown');

registerFileUrl('CHANGELOG.md', '../assets/bitwisecook.tcl-0.4.3.vsix/CHANGELOG.md', 'text/markdown');

registerFileUrl('out/syntaxes/tcl.json', '../assets/bitwisecook.tcl-0.4.3.vsix/tcl.json', 'application/json');

registerFileUrl('language-configuration.json', '../assets/bitwisecook.tcl-0.4.3.vsix/language-configuration.json', 'application/json');

registerFileUrl('snippets/tcl.json', '../assets/bitwisecook.tcl-0.4.3.vsix/tcl2.json', 'application/json');

registerFileUrl('package.json', '../assets/bitwisecook.tcl-0.4.3.vsix/package.json', 'application/json');

registerFileUrl('images/Tcl-powered.png', '../assets/bitwisecook.tcl-0.4.3.vsix/Tcl-powered.png', 'image/png');

export { whenReady };
