import { registerExtension } from 'vscode/extensions';

const manifest = {"name":"scala","displayName":"Scala Syntax (official)","description":"Official Scala Syntax","version":"0.5.7","publisher":"scala-lang","license":"SEE LICENSE IN LICENSE.md","engines":{"vscode":"^1.5.0"},"homepage":"https://github.com/scala/vscode-scala-syntax/blob/main/README.md","repository":{"type":"git","url":"https://github.com/scala/vscode-scala-syntax.git"},"icon":"images/smooth-spiral.png","categories":["Programming Languages"],"contributes":{"languages":[{"id":"scala","aliases":["Scala","scala"],"extensions":[".scala",".sbt",".sc"],"configuration":"./language-configuration.json"}],"grammars":[{"language":"scala","scopeName":"source.scala","path":"./syntaxes/Scala.tmLanguage.json"}]}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md","changelogPath":"CHANGELOG.md"});


registerFileUrl('README.md', '../assets/scala-lang.scala-0.5.7.vsix/README.md', 'text/markdown');

registerFileUrl('CHANGELOG.md', '../assets/scala-lang.scala-0.5.7.vsix/CHANGELOG.md', 'text/markdown');

registerFileUrl('syntaxes/Scala.tmLanguage.json', '../assets/scala-lang.scala-0.5.7.vsix/Scala.tmLanguage.json', 'application/json');

registerFileUrl('language-configuration.json', '../assets/scala-lang.scala-0.5.7.vsix/language-configuration.json', 'application/json');

registerFileUrl('package.json', '../assets/scala-lang.scala-0.5.7.vsix/package.json', 'application/json');

registerFileUrl('images/smooth-spiral.png', '../assets/scala-lang.scala-0.5.7.vsix/smooth-spiral.png', 'image/png');

export { whenReady };
